Create a new transaction (subscription or redemption).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Create an transaction to provide Monark the information required to facilitate an investment on the primary issuance of a PreIPOCompanySPV, or a Subscription/Redemption into a Registered Fund.

Please Note: This API call constitutes a binding legal commitment on behalf of the investor. Please ensure that all prerequisites, signatures, and disclosures have been satisfied and that sufficient investor funds are available for the transaction prior to creating a Subscription. Alternative investments are non margin-able securities. As such, they cannot be purchased on margin, and investors must use their own funds to buy these assets.

Trading Hours

Transactions can be created on a 24/7 basis. There are no "trading hours" associated with creating subscriptions.

Logic to Create Subscriptions

When creating Subscriptions into Pre-IPO Company SPVs, there are a few requirements that must be met:

  • The amountReservedDollars must be greater than or equal to the minCommitmentAmount in the associated SPV, unless theremainingDollarAllocation is smaller than the minCommitmentAmount. If the dollar amount remaining in the SPV is less than the minimum commitment amount, the last investor must take all remaining dollars. In other words, if the remainingDollarAllocation is smaller than the minCommitmentAmount, then the amountReservedDollars in the last investor's Subscription must be equal to the remainingDollarAllocation in the SPV.
  • The amountReservedDollars must be a decimal up to two decimals. Monark supports fractional shares, and we calculate the fractional number of shares allocated to each subscription, up to 9 decimal places.
  • The amountReservedDollars of the Subscription must be less than or equal to the remainingDollarAllocation in the associated SPV.
  • Investors can only have one Pending or Processing Subscription at a time, per SPV. If an investor tries to create a Subscription while they have an open Pending or Processing Subscription in that SPV, an error will be returned. If an Investor tries to create a Subscription while they have one or multiple Rejected Subscriptions, the Subscription will be processed normally.
  • The SPV associated with the Subscription must be in PRIMARY_FUNDRAISE.
  • The SPV must be approved, which can be done through the Monark Alts Desk or via API, using the /primary/v1/pre-ipo-company-spv-partner-approval/spv/{spvId}/approve endpoint.

The system will reject any Subscription that is submitted if all of the above criteria are not met.

Frontend Suggestion: Subscribing to SPVs

When creating the frontend experience that will enable investors to submit subscriptions into SPVs, Monark suggests collecting from the user the dollar amount of their subscription, up to two decimal places. Partners should then display to the user an estimate of the number of shares that they will receive, which can be calculated by taking the dollar amount input by the user and dividing it by the allInPricePerShare of the associated SPV.

Here's a sample video of what this might look like in the frontend. Note the dynamic "shares to receive" field that continuously updates as the user changes their intended investment amount.

Completing Transaction Actions

After creating a Transaction, the investor must complete a series of Transaction Actions in order for their transactions status to be marked as Processing, which is the stage at which no further action is needed to be taken by the Investor. Transaction Actions can be executed via the Get All and Complete Transaction Actions endpoints, using the id returned here.

Body Params

Order creation properties.

string
enum
Allowed:
uuid
required
length ≥ 1
string
enum
Allowed:
string | null
enum
Allowed:
uuid
required
length ≥ 1
double | null
double | null
boolean | null
string | null
uuid | null
string | null
uuid | null
string | null
enum
Allowed:
string | null
enum
Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json